Bug 928962

Summary: systemd forgets inhibits on upgrade
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: systemdAssignee: systemd-maint
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: johannbg, jsynacek, kevin, lnykryn, metherid, msekleta, plautrba, rdieter, rvokal, systemd-maint, vpavlin, zbyszek
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-03 08:08:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kevin Fenzi 2013-03-28 20:21:30 UTC
I updated my laptop a bit ago: 

Mar 28 12:26:40 Updated: systemd-libs-199-1.fc20.x86_64
Mar 28 12:26:42 Updated: systemd-199-1.fc20.x86_64
Mar 28 12:26:45 Updated: systemd-sysv-199-1.fc20.x86_64
Mar 28 12:27:04 Updated: systemd-python-199-1.fc20.x86_64

I have xfce4-power-manager set to 'lock screen' on lid close, which works fine normally. It takes the inhibit and everything is good, however on systemd upgrades, systemd seems to forget these inhibits and starts over, leading to suspend when I close my laptop lid. 

It would be nice if it could remember them on updates.

Comment 1 Lennart Poettering 2013-04-04 17:41:05 UTC
Humm, the inhibitors are actually stored in the fs, this should really work. 

I just tried this:

$ systemd-inhibit --list
$ sudo systemctl restart systemd-logind
$ systemd-inhibit --list

(The --list will show you all active inhibitors)

This shows all inhibitors survived the restart. And an upgrade doesn't do much else than just a restart.

Can you reproduce the issue with the commands above?

Comment 2 Kevin Fenzi 2013-04-06 18:45:12 UTC
Will try. 

It doesn't seem to happen with those commands... but there was an upgrade in there. 

ie, I had systemd-198-7.fc20.x86_64 and yum updated to systemd-199-1.fc20.x86_64.

I'll see if I can get it to happen by downgrading and re-upgrading, or see if it happens at the next package upgrade. Thanks.

Comment 3 Lennart Poettering 2013-04-09 10:54:50 UTC
OK, will close for now, please reopen if problem resurfaces!

Comment 4 Kevin Fenzi 2013-04-11 04:18:24 UTC
ok, just happened again:

Apr 10 09:57:51 Updated: systemd-libs-201-2.fc20.x86_64
Apr 10 09:57:53 Updated: systemd-201-2.fc20.x86_64
Apr 10 09:57:53 Updated: systemd-sysv-201-2.fc20.x86_64
Apr 10 09:57:57 Updated: systemd-python-201-2.fc20.x86_64

kevin@jelerak ~ % systemd-inhibit --list
     Who: xfce4-power-manager (UID 1000, PID 6800)
    What: handle-power-key:handle-suspend-key:handle-hibernate-key:handle-lid-switch
     Why: xfce4-power-manager handles these events
    Mode: block

     Who: root (UID 0, PID 684)
    What: sleep
     Why: inhibited
    Mode: delay

2 inhibitors listed.

Apr 10 22:12:35 jelerak systemd-logind[9389]: Lid closed.
Apr 10 22:12:35 jelerak systemd-logind[9389]: Suspending...
...snip...
Apr 10 22:12:47 jelerak systemd-logind[9389]: Lid opened.

Will try doing a restart to see if it changes anything...

Comment 5 Kevin Fenzi 2013-04-11 04:23:05 UTC
and indeed: 

kevin@jelerak ~ % sudo systemctl restart systemd-logind
kevin@jelerak ~ % systemd-inhibit --list
     Who: root (UID 0, PID 684)
    What: sleep
     Why: inhibited
    Mode: delay

     Who: xfce4-power-manager (UID 1000, PID 6800)
    What: handle-power-key:handle-suspend-key:handle-hibernate-key:handle-lid-switch
     Why: xfce4-power-manager handles these events
    Mode: block

2 inhibitors listed.

after doing the 'sudo systemctl restart systemd-logind' it correctly inhibits. 

So, something different on the package update? it does a try-restart there?

Comment 6 Fedora End Of Life 2013-09-16 16:39:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 7 Kevin Fenzi 2013-12-05 05:44:37 UTC
This is still happening on current rawhide. ;( 

It's pretty anoying. ;(

Comment 8 Jaroslav Reznik 2015-03-03 16:52:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 9 Jan Synacek 2015-10-23 09:09:09 UTC
Is this still a problem?

Comment 10 Kevin Fenzi 2015-11-02 16:59:59 UTC
Nope. You can close it I guess. I haven't seen it in a while...